package com.tofly.ghrq_route.module.message.domain;

import java.util.List;

/**
 * @author YCHK
 * 消息详情
 */
public class MessageDeatilBean {
    private List<String> audios;//消息语音
    private int messageId; //消息id
    private String message;//消息内容
    private List<String> photos; //消息照片
    private int createUser;//创建人id
    private String createDate;
    private String createUserName;//创建人名字
    private List<MessageReplyBean> replyList;

    public String getCreateUserName() {
        return createUserName;
    }

    public void setCreateUserName(String createUserName) {
        this.createUserName = createUserName;
    }

    public List<String> getAudios() {
        return audios;
    }

    public void setAudios(List<String> audios) {
        this.audios = audios;
    }

    public int getMessageId() {
        return messageId;
    }

    public void setMessageId(int messageId) {
        this.messageId = messageId;
    }

    public String getMessage() {
        return message;
    }

    public void setMessage(String message) {
        this.message = message;
    }

    public List<String> getPhotos() {
        return photos;
    }

    public void setPhotos(List<String> photos) {
        this.photos = photos;
    }

    public int getCreateUser() {
        return createUser;
    }

    public void setCreateUser(int createUser) {
        this.createUser = createUser;
    }

    public String getCreateDate() {
        return createDate;
    }

    public void setCreateDate(String createDate) {
        this.createDate = createDate;
    }

    public List<MessageReplyBean> getReplyList() {
        return replyList;
    }

    public void setReplyList(List<MessageReplyBean> replyList) {
        this.replyList = replyList;
    }

    public static class MessageReplyBean {
        private List<String> audios;//消息语音
        private int id; //消息id
        private String message;//消息内容
        private List<String> photos; //消息照片
        private int createUser;//创建人id
        private String createUserName;//创建人名字
        private String createDate;
        private String recipients;//抄送人

        public String getRecipients() {
            return recipients;
        }

        public void setRecipients(String recipients) {
            this.recipients = recipients;
        }

        public String getCreateUserName() {
            return createUserName;
        }

        public void setCreateUserName(String createUserName) {
            this.createUserName = createUserName;
        }

        public List<String> getAudios() {
            return audios;
        }

        public void setAudios(List<String> audios) {
            this.audios = audios;
        }

        public int getId() {
            return id;
        }

        public void setId(int id) {
            this.id = id;
        }

        public String getMessage() {
            return message;
        }

        public void setMessage(String message) {
            this.message = message;
        }

        public List<String> getPhotos() {
            return photos;
        }

        public void setPhotos(List<String> photos) {
            this.photos = photos;
        }

        public int getCreateUser() {
            return createUser;
        }

        public void setCreateUser(int createUser) {
            this.createUser = createUser;
        }

        public String getCreateDate() {
            return createDate;
        }

        public void setCreateDate(String createDate) {
            this.createDate = createDate;
        }
    }
}
